
<!doctype html>
<html lang="en">




<head>
    <title>How to Setup Peek SSHFS Mount - Attune Automation</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport"
          content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="title"
          content="How to Setup Peek SSHFS Mount - Attune Automation">
    <meta name="description"
          content="">
    <meta name="robots"
          content="follow, index, max-snippet:-1, max-video-preview:-1, max-image-preview:large">

    <meta property="og:locale" content="en_AU" />
    <meta property="og:type" content="article" />
    <meta property="og:title"
          content="HowTo Setup Peek SSHFS Mount - Attune Automation" />
    <meta property="og:description" content="" />
    <meta property="og:site_name" content="Attune Automation" />
    <meta property="article:section" content="IT Instruction" />

    <meta name="twitter:title"
          content="How to Setup Peek SSHFS Mount - Attune Automation" />
    <meta name="twitter:description" content="" />

    <link rel="icon" href="https://www.servertribe.com/wp-content/uploads/2020/10/cropped-server_tribe_favicon-32x32.png" sizes="32x32">
    <link rel="icon" href="https://www.servertribe.com/wp-content/uploads/2020/10/cropped-server_tribe_favicon-192x192.png" sizes="192x192">
    <link rel="apple-touch-icon" href="https://www.servertribe.com/wp-content/uploads/2020/10/cropped-server_tribe_favicon-180x180.png">
    <meta name="msapplication-TileImage" content="https://www.servertribe.com/wp-content/uploads/2020/10/cropped-server_tribe_favicon-270x270.png">
    <link rel="stylesheet"
          href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
          crossorigin="anonymous">
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/prism/1.29.0/themes/prism-tomorrow.min.css">
    <link rel="stylesheet" href="styles/style.css">

    <!-- Google tag (gtag.js) -->
    <script async
            src="https://www.googletagmanager.com/gtag/js?id=G-5TZQZNDJCD"></script>
    <script>
        window.dataLayer = window.dataLayer || [];

        function gtag() {
            dataLayer.push(arguments);
        }

        gtag('js', new Date());

        gtag('config', 'G-5TZQZNDJCD');
    </script>
</head>


<body>

<!-- Project NavBar -->

<div class="bg-white border-bottom box-shadow sticky-top mb-3">
<div class="container px-0">
    <div class="row px-0">
        <div class="col d-flex flex-column flex-lg-row align-items-center px-0
            py-3">
            <a class="navbar-brand my-0 mr-lg-auto"
                  href="https://www.servertribe.com/"
                  target="_blank">
                    <img
                        src="https://www.servertribe.com/wp-content/uploads/2022/06/AttuneLogoV2_powered_by.png"
                        alt="Attune - Powered by ServerTribe"
                        class="img-fluid navbar-img">
            </a>
            <nav class="my-2 my-lg-0 mr-lg-3">
                <a class="p-2 text-dark" href="http://doc.servertribe.com/"
                   target="_blank">
                    Documentation
                </a>
                <a class="p-2 text-dark"
                   href="https://discord.com/invite/3YpJsagqUn"
                   target="_blank">
                    Discord
                </a>
                <a class="p-2 text-dark" href="https://github.com/Attune-Automation"
                   target="_blank">
                    GitHub
                </a>
                <a class="p-2 text-dark" href="https://www.servertribe.com/learn/"
                   target="_blank">
                    Learn
                </a>
            </nav>
            <a class="btn btn-outline-primary"
               href="https://www.servertribe.com/download-attune-registration/"
               target="_blank">
                Download NOW!
            </a>
        </div>
    </div>
</div></div>

<!-- Project breadcrumbs -->

<!-- Project breadcrumbs -->
<div class="container px-0">
    <div class="row">
        <nav class="col px-0" aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="index.html">
                    Peek Warm Standby Attune Project
                    </a>
                </li>
                <li class="breadcrumb-item active" aria-current="page">
                    <strong>Setup Peek SSHFS Mount</strong>
                </li>
            </ol>
        </nav>
    </div>
</div>

<!-- Blueprint Header -->

<div class="container px-0">
    <!-- Blueprint name and description -->
    <div class="row">
        <div class="col px-0">
            <h1 class="text-left">
                How to Setup Peek SSHFS Mount
            </h1>
        </div>
    </div>

<!-- Blueprint Description -->
    <div class="row pt-4">
        <div class="col-6 px-0">
            <h6 class="text-left">
                This documentation is generated by
                <a href="https://www.servertribe.com/"
                    class="badge badge-primary"
                    target="_blank">
                    Attune
                </a>
            </h6>
        </div>
        <div class="col-6 align-self-end text-right px-0">
            <h6 class="text-right">
                <a href="https://www.youtube.com/@servertribe"
                    class="badge badge-secondary"
                    target="_blank">
                    YouTube
                </a>
                <a href="https://github.com/Attune-Automation"
                    class="badge badge-secondary"
                    target="_blank">
                    GitHub
                </a>
                <a href="https://discord.com/invite/3YpJsagqUn"
                    class="badge badge-secondary"
                    target="_blank">
                    Discord
                </a>
                <a href="https://www.linkedin.com/company/servertribe/"
                    class="badge badge-secondary"
                    target="_blank">
                    LinkedIn
                </a>
                <a href="http://doc.servertribe.com/"
                    class="badge badge-secondary"
                    target="_blank">
                    Documentation
                </a>
            </h6>
        </div>
    </div>
    <hr>
</div>

<div class="documentation">
    <div class="container px-0">
        <div class="row">

<!-- Blueprint ToC -->


            <div class="toc col-lg-2 px-0 pr-5">
                <div class="container px-0 pt-3">
                    <p class="pb-2">
                        <strong>Contents</strong>
                    </p>
                    <p class="text-muted">
                        <a href="#top">
                            <strong>Setup Peek SSHFS Mount</strong>
                        </a>
                    </p>


    
        

                    <p class="text-muted pt-2">
                        <a href="#spsmtestsftptostandby">
                            <strong>Step 1 -</strong> SPSM Test SFTP To Standby
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#spsminstallfusesshfs">
                            <strong>Step 2 -</strong> SPSM Install fuse-sshfs
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#spsmcreatepgwalarchivelocal">
                            <strong>Step 3 -</strong> SPSM Create /pgwal_archive/ Local
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#spsmcreatepgwalarchiveremote">
                            <strong>Step 4 -</strong> SPSM Create /pgwal_archive/ Remote
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#spsmsetupsshkeysforsftp">
                            <strong>Step 5 -</strong> SPSM Setup SSH Keys for SFTP
                        </a>
                    </p>
    
        

                    <p class="text-muted pt-2">
                        <a href="#ssskfsgeneratesshkey">
                            <strong>Step 5.1 -</strong> SSSKFS Generate SSH KEY
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#ssskfsdeletepublickeyonstandby">
                            <strong>Step 5.2 -</strong> SSSKFS Delete Public Key on Standby
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#ssskfsuploadpublickey">
                            <strong>Step 5.3 -</strong> SSSKFS Upload Public Key
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#ssskfstestsshusingkeys">
                            <strong>Step 5.4 -</strong> SSSKFS Test SSH Using Keys
                        </a>
                    </p>


        

                    <p class="text-muted pt-2">
                        <a href="#spsmenableuserallowotherinetcfuseconf">
                            <strong>Step 6 -</strong> SPSM Enable user_allow_other in /etc/fuse.conf
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#spsmsshfsmountmanuallyasroot">
                            <strong>Step 7 -</strong> SPSM SSHFS Mount Manually as Root
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#spsmeditetcfstab">
                            <strong>Step 8 -</strong> SPSM Edit /etc/fstab
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#linreboot">
                            <strong>Step 9 -</strong> LIN Reboot
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#linrebootwait">
                            <strong>Step 10 -</strong> LIN Reboot Wait
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#spsmtestwriteandread">
                            <strong>Step 11 -</strong> SPSM Test Write and Read
                        </a>
                    </p>
    
        

                    <p class="text-muted pt-2">
                        <a href="#stwarwritefiletostandbyfrommaster">
                            <strong>Step 11.1 -</strong> STWAR Write File to Standby from Master
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#stwardeletefileonstandby">
                            <strong>Step 11.2 -</strong> STWAR Delete File on Standby
                        </a>
                    </p>


        

                    <p class="text-muted pt-2">
                        <a href="#spsmresiliencetest">
                            <strong>Step 12 -</strong> SPSM Resilience Test
                        </a>
                    </p>
    
        

                    <p class="text-muted pt-2">
                        <a href="#srttestsshfsmounted">
                            <strong>Step 12.1 -</strong> SRT Test SSHFS Mounted
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#srtlinstandbyreboot">
                            <strong>Step 12.2 -</strong> SRT LIN Standby Reboot
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#srtlinstandbyrebootwait">
                            <strong>Step 12.3 -</strong> SRT LIN Standby Reboot Wait
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#srttestsshfsmounted">
                            <strong>Step 12.4 -</strong> SRT Test SSHFS Mounted
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#linreboot">
                            <strong>Step 12.5 -</strong> LIN Reboot
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#linrebootwait">
                            <strong>Step 12.6 -</strong> LIN Reboot Wait
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#srttestsshfsmounted">
                            <strong>Step 12.7 -</strong> SRT Test SSHFS Mounted
                        </a>
                    </p>


        

                    <p class="text-muted pt-2">
                        <a href="#spsmtestwriteandread">
                            <strong>Step 13 -</strong> SPSM Test Write and Read
                        </a>
                    </p>
    
        

                    <p class="text-muted pt-2">
                        <a href="#stwarwritefiletostandbyfrommaster">
                            <strong>Step 13.1 -</strong> STWAR Write File to Standby from Master
                        </a>
                    </p>

        

                    <p class="text-muted pt-2">
                        <a href="#stwardeletefileonstandby">
                            <strong>Step 13.2 -</strong> STWAR Delete File on Standby
                        </a>
                    </p>



                </div>
            </div>

<!-- Blueprint Contents -->
            <div class="col-lg-8 pt-3">
                <div class="container">


        <div class="jumbotron">
            <p class="display-3 text-center">
                <strong>Automate This</strong>
            </p>
            <p class="lead text-center">
                Use the <strong>Attune GUI</strong> for your Scripts
            </p>
            <p class="lead">
                <ol>
                    <a href="https://www.servertribe.com/download-attune-registration/"
                        target="_blank">
                        <span class="badge badge-primary">1</span>
                        Download Attune
                        <i class="fa-solid fa-download fa-beat-fade" style="color: #0197ff;"></i>
                    </a>
                </ol>
                <ol>
                    <a href="https://github.com/attune-Automation/"
                        target="_blank">
                        <span class="badge badge-primary">2</span>
                         Copy the Attune Project URL
                         <i class="fa-brands fa-github fa-fade"></i>
                    </a>
                </ol>
                <ol>
                    <a href="https://servertribe-attune.readthedocs.io/en/latest/howto/design_workspace/clone_project.html"
                        target="_blank">
                        <span class="badge badge-primary">3</span>
                        Clone the Project in Attune
                         <i class="fa-solid fa-book fa-fade" style="color: #0197ff;"></i>
                    </a>
                </ol>
                <ol>
                    <a href="https://www.youtube.com/watch?v=GCWDI29rDV0"
                        target="_blank">
                        <span class="badge badge-primary">4</span>
                        Plan your Job(s)
                        <i class="fa-brands fa-youtube fa-fade" style="color: #0197ff;"></i>
                    </a>
                </ol>
                <ol>
                    <a href="https://www.youtube.com/watch?v=b7DhFcURkZg"
                        target="_blank">
                        <span class="badge badge-primary">5</span>
                        Run your Job(s)
                        <i class="fa-brands fa-youtube fa-fade" style="color: #0197ff;"></i>
                    </a>
                </ol>
            </p>
            <p class="lead text-center">
                You've automated: <strong>Setup Peek SSHFS Mount</strong>
            </p>
            <hr class="my-4 text-center">
            <div class="col px-0">
                <p class="text-center">
                    Get the most out of automation with our get started
                    videos, product demonstrations, and more.
                </p>
                <p class="lead text-center">
                    <a class="btn btn-primary btn-lg"
                       href="https://www.servertribe.com/learn/"
                       target="_blank"
                       role="button">
                        Learn Attune Automation
                    </a>
                </p>
            </div>
        </div>

        <div class="row">
            <p>The following steps will guide you through the manual process.</p>
        </div>

<!-- Blueprint Steps -->


        



                    <div class="row pt-5">
                        <h3 id="spsmtestsftptostandby">
                            <a href="#spsmtestsftptostandby">
                                <strong>Step 1 -</strong> SPSM Test SFTP To Standby
                            </a>
                        </h3>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxmasterpeekuser}@{peekmasterserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
echo &quot;exit&quot; | \
    sftp {linuxStandbyPeekUser.user}@{peekStandbyServer.ip}
                </code>
            </pre>
        </div>
    </div>

    <div class="row">
        <p>
            This script may require you to answer the following prompts:
        </p>
    </div>
    <div class="row">
        <table>
            <thead>
                <tr>
                    <th>
                        Prompt
                    </th>
                    <th class="prompts">
                        Answer
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>
                        Are you sure you want to continue connecting (yes/no/[fingerprint])?
                    </td>
                    <td class="prompts">
                        <code class="language-sql">
yes
                        </code>
                    </td>
                </tr>
                <tr>
                    <td>
                        {linuxStandbyPeekUser.user}@{peekStandbyServer.ip}'s password:
                    </td>
                    <td class="prompts">
                        <code class="language-sql">
{linuxStandbyPeekUser.password}
                        </code>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>




        



                    <div class="row pt-5">
                        <h3 id="spsminstallfusesshfs">
                            <a href="#spsminstallfusesshfs">
                                <strong>Step 2 -</strong> SPSM Install fuse-sshfs
                            </a>
                        </h3>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxrootuser}@{peekmasterserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
if rpm -qa | grep -iq fuse-sshfs
then
    # $? is 0, fuse-sshfs is installed
    echo &quot;fuse-sshfs is already installed, skipping.&quot;
else
    # $? is 1, fuse-sshfs is not installed
    echo &quot;Installing fuse-sshfs&quot;
    dnf -y install fuse-sshfs
fi
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h3 id="spsmcreatepgwalarchivelocal">
                            <a href="#spsmcreatepgwalarchivelocal">
                                <strong>Step 3 -</strong> SPSM Create /pgwal_archive/ Local
                            </a>
                        </h3>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
mkdir -p /pgwal_archive/{peekStandbyServer.hostname}
chown {linuxMasterPeekUser.user}:{linuxMasterPeekUser.user} \
    /pgwal_archive/{peekStandbyServer.hostname}
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h3 id="spsmcreatepgwalarchiveremote">
                            <a href="#spsmcreatepgwalarchiveremote">
                                <strong>Step 4 -</strong> SPSM Create /pgwal_archive/ Remote
                            </a>
                        </h3>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxrootuser}@{peekstandbyserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
mkdir -p /pgwal_archive/{peekStandbyServer.hostname}
chown {linuxStandbyPeekUser.user}:{linuxStandbyPeekUser.user} \
    /pgwal_archive/{peekStandbyServer.hostname}
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h3 id="spsmsetupsshkeysforsftp">
                            <a href="#spsmsetupsshkeysforsftp">
                                <strong>Step 5 -</strong> SPSM Setup SSH Keys for SFTP
                            </a>
                        </h3>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>





    




    



                    <div class="row pt-5">
                        <h4 id="ssskfsgeneratesshkey">
                            <a href="#ssskfsgeneratesshkey">
                                <strong>Step 5.1 -</strong> SSSKFS Generate SSH KEY
                            </a>
                        </h4>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxmasterpeekuser}@{peekmasterserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
ID_RSA_FILE=&quot;/home/{linuxMasterPeekUser.user}/.ssh/id_rsa&quot;

if [ -f &quot;${ID_RSA_FILE}&quot; ]
then
    echo &quot;${ID_RSA_FILE} already exists, skipping.&quot;
else
    echo &quot;Generating ${ID_RSA_FILE}.&quot;
    ssh-keygen -b 4096 \
        -f /home/{linuxMasterPeekUser.user}/.ssh/id_rsa \
        -q \
        -N &quot;&quot;
fi
                </code>
            </pre>
        </div>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="ssskfsdeletepublickeyonstandby">
                            <a href="#ssskfsdeletepublickeyonstandby">
                                <strong>Step 5.2 -</strong> SSSKFS Delete Public Key on Standby
                            </a>
                        </h4>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxstandbypeekuser}@{peekstandbyserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
sed -i &#x27;/{linuxMasterPeekUser.user}@{peekMasterServer.hostname}/d&#x27; \
    .ssh/authorized_keys
                </code>
            </pre>
        </div>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="ssskfsuploadpublickey">
                            <a href="#ssskfsuploadpublickey">
                                <strong>Step 5.3 -</strong> SSSKFS Upload Public Key
                            </a>
                        </h4>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxmasterpeekuser}@{peekmasterserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
echo &quot;Uploading public key to standby&quot;

ssh-copy-id \
    {linuxStandbyPeekUser.user}@{peekStandbyServer.ip}
                </code>
            </pre>
        </div>
    </div>

    <div class="row">
        <p>
            This script may require you to answer the following prompts:
        </p>
    </div>
    <div class="row">
        <table>
            <thead>
                <tr>
                    <th>
                        Prompt
                    </th>
                    <th class="prompts">
                        Answer
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>
                        {linuxStandbyPeekUser.user}@{peekStandbyServer.ip}'s password: 
                    </td>
                    <td class="prompts">
                        <code class="language-sql">
{linuxStandbyPeekUser.password}
                        </code>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>




    



                    <div class="row pt-5">
                        <h4 id="ssskfstestsshusingkeys">
                            <a href="#ssskfstestsshusingkeys">
                                <strong>Step 5.4 -</strong> SSSKFS Test SSH Using Keys
                            </a>
                        </h4>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
ssh {linuxStandbyPeekUser.user}@{peekStandbyServer.ip} &quot;exit&quot;
                </code>
            </pre>
        </div>
    </div>






        



                    <div class="row pt-5">
                        <h3 id="spsmenableuserallowotherinetcfuseconf">
                            <a href="#spsmenableuserallowotherinetcfuseconf">
                                <strong>Step 6 -</strong> SPSM Enable user_allow_other in /etc/fuse.conf
                            </a>
                        </h3>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxrootuser}@{peekmasterserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
sed -i &quot;s/# user_allow_other/user_allow_other/&quot; /etc/fuse.conf
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h3 id="spsmsshfsmountmanuallyasroot">
                            <a href="#spsmsshfsmountmanuallyasroot">
                                <strong>Step 7 -</strong> SPSM SSHFS Mount Manually as Root
                            </a>
                        </h3>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
sshfs -o allow_other,default_permissions \
    {linuxStandbyPeekUser.user}@{peekStandbyServer.ip}:/pgwal_archive/{peekStandbyServer.hostname} \
    /pgwal_archive/{peekStandbyServer.hostname}

df -h /pgwal_archive/{peekStandbyServer.hostname}
                </code>
            </pre>
        </div>
    </div>

    <div class="row">
        <p>
            This script may require you to answer the following prompts:
        </p>
    </div>
    <div class="row">
        <table>
            <thead>
                <tr>
                    <th>
                        Prompt
                    </th>
                    <th class="prompts">
                        Answer
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>
                        Are you sure you want to continue connecting (yes/no/[fingerprint])?  
                    </td>
                    <td class="prompts">
                        <code class="language-sql">
yes
                        </code>
                    </td>
                </tr>
                <tr>
                    <td>
                        {linuxStandbyPeekUser.user}@{peekStandbyServer.ip}'s password: 
                    </td>
                    <td class="prompts">
                        <code class="language-sql">
{linuxStandbyPeekUser.password}
                        </code>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>




        



                    <div class="row pt-5">
                        <h3 id="spsmeditetcfstab">
                            <a href="#spsmeditetcfstab">
                                <strong>Step 8 -</strong> SPSM Edit /etc/fstab
                            </a>
                        </h3>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
cat &gt;&gt; /etc/fstab &lt;&lt;EOF
{linuxStandbyPeekUser.user}@{peekStandbyServer.ip}:/pgwal_archive/{peekStandbyServer.hostname} \
/pgwal_archive/{peekStandbyServer.hostname} \
fuse.sshfs \
noauto,x-systemd.automount,_netdev,reconnect,identityfile=/home/{linuxStandbyPeekUser.user}/.ssh/id_rsa,allow_other,default_permissions 0 0
EOF
    mount -a
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h3 id="linreboot">
                            <a href="#linreboot">
                                <strong>Step 9 -</strong> LIN Reboot
                            </a>
                        </h3>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxrootuser}@{targetserverlin}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
nohup shutdown -r now &amp;
                </code>
            </pre>
        </div>
    </div>





        



                    <div class="row pt-5">
                        <h3 id="linrebootwait">
                            <a href="#linrebootwait">
                                <strong>Step 10 -</strong> LIN Reboot Wait
                            </a>
                        </h3>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>












    

    <div class="row">
        <p class="mb-0">
            Check if TCP Port <strong>0</strong> is listening.
            Make sure the TCP Port goes down for
            <strong>3</strong> seconds.
            When the TCP Port is up, wait <strong>10</strong>
            seconds.
        </p>
        <p>Use Telnet to check if the TCP Service is accepting connections.</p>
    </div>





        



                    <div class="row pt-5">
                        <h3 id="spsmtestwriteandread">
                            <a href="#spsmtestwriteandread">
                                <strong>Step 11 -</strong> SPSM Test Write and Read
                            </a>
                        </h3>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>





    




    



                    <div class="row pt-5">
                        <h4 id="stwarwritefiletostandbyfrommaster">
                            <a href="#stwarwritefiletostandbyfrommaster">
                                <strong>Step 11.1 -</strong> STWAR Write File to Standby from Master
                            </a>
                        </h4>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxmasterpeekuser}@{peekmasterserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
FILE_NAME=&quot;2c17bc6330e094eca7a5fc42b09388f6Ap7ae59e5a0e408fb86d324c2a73916e9aE.txt&quot;
MOUNT_POINT=&quot;/pgwal_archive/{peekStandbyServer.hostname}&quot;
cd &quot;${MOUNT_POINT}&quot;
touch &quot;${FILE_NAME}&quot;
                </code>
            </pre>
        </div>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="stwardeletefileonstandby">
                            <a href="#stwardeletefileonstandby">
                                <strong>Step 11.2 -</strong> STWAR Delete File on Standby
                            </a>
                        </h4>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxstandbypeekuser}@{peekstandbyserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
FILE_NAME=&quot;2c17bc6330e094eca7a5fc42b09388f6Ap7ae59e5a0e408fb86d324c2a73916e9aE.txt&quot;
SHIPPING_DIRECTORY=&quot;/pgwal_archive/{peekStandbyServer.hostname}&quot;

cd &quot;${SHIPPING_DIRECTORY}&quot;

if [ -f &quot;${FILE_NAME}&quot; ]
then
    echo &quot;Found &#x27;${SHIPPING_DIRECTORY}/${FILE_NAME}&#x27;.&quot;
    rm -vf &quot;${FILE_NAME}&quot;
else
    echo &quot;Can&#x27;t find &#x27;${SHIPPING_DIRECTORY}/${FILE_NAME}&#x27;.&quot;
    exit 1
fi
                </code>
            </pre>
        </div>
    </div>






        



                    <div class="row pt-5">
                        <h3 id="spsmresiliencetest">
                            <a href="#spsmresiliencetest">
                                <strong>Step 12 -</strong> SPSM Resilience Test
                            </a>
                        </h3>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>





    




    



                    <div class="row pt-5">
                        <h4 id="srttestsshfsmounted">
                            <a href="#srttestsshfsmounted">
                                <strong>Step 12.1 -</strong> SRT Test SSHFS Mounted
                            </a>
                        </h4>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxmasterpeekuser}@{peekmasterserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
# Check if the SSHFS mount succeeded.
# Try 10 times waiting 1 second between tries.

MOUNT_POINT=&quot;/pgwal_archive/{peekStandbyServer.hostname}&quot;
MOUNTED=false
i=0

while [ ${MOUNTED} = false ]
do
    
    GREP_OUTPUT=$(df -h &quot;${MOUNT_POINT}&quot; | grep \
        &quot;{linuxStandbyPeekUser.user}@{peekStandbyServer.ip}:/pgwal_archive/{peekStandbyServer.hostname}&quot;
        ) || true
        
    if [ -z &quot;${GREP_OUTPUT}&quot; ]
    then
        echo &quot;${i}. ${MOUNT_POINT} Not yet mounted&quot;
    else
        echo &quot;${MOUNT_POINT} mounted successfully.&quot;
        MOUNTED=true
    fi
    
    # Don&#x27;t wait if SSHFS is mounted
    if [ ${MOUNTED} = true ]
    then
        exit 0
    fi
    
    i=$((i+1))
    
    # Exit after 10 tries
    if [ ${i} = 10 ]
    then
        echo &quot;Quitting after 10 tries.&quot;
        exit 1
    fi
    
    sleep 5
done
                </code>
            </pre>
        </div>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="srtlinstandbyreboot">
                            <a href="#srtlinstandbyreboot">
                                <strong>Step 12.2 -</strong> SRT LIN Standby Reboot
                            </a>
                        </h4>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxrootuser}@{peekstandbyserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
nohup shutdown -r now &amp;
                </code>
            </pre>
        </div>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="srtlinstandbyrebootwait">
                            <a href="#srtlinstandbyrebootwait">
                                <strong>Step 12.3 -</strong> SRT LIN Standby Reboot Wait
                            </a>
                        </h4>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>












    

    <div class="row">
        <p class="mb-0">
            Check if TCP Port <strong>0</strong> is listening.
            Make sure the TCP Port goes down for
            <strong>3</strong> seconds.
            When the TCP Port is up, wait <strong>10</strong>
            seconds.
        </p>
        <p>Use Telnet to check if the TCP Service is accepting connections.</p>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="srttestsshfsmounted">
                            <a href="#srttestsshfsmounted">
                                <strong>Step 12.4 -</strong> SRT Test SSHFS Mounted
                            </a>
                        </h4>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxmasterpeekuser}@{peekmasterserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
# Check if the SSHFS mount succeeded.
# Try 10 times waiting 1 second between tries.

MOUNT_POINT=&quot;/pgwal_archive/{peekStandbyServer.hostname}&quot;
MOUNTED=false
i=0

while [ ${MOUNTED} = false ]
do
    
    GREP_OUTPUT=$(df -h &quot;${MOUNT_POINT}&quot; | grep \
        &quot;{linuxStandbyPeekUser.user}@{peekStandbyServer.ip}:/pgwal_archive/{peekStandbyServer.hostname}&quot;
        ) || true
        
    if [ -z &quot;${GREP_OUTPUT}&quot; ]
    then
        echo &quot;${i}. ${MOUNT_POINT} Not yet mounted&quot;
    else
        echo &quot;${MOUNT_POINT} mounted successfully.&quot;
        MOUNTED=true
    fi
    
    # Don&#x27;t wait if SSHFS is mounted
    if [ ${MOUNTED} = true ]
    then
        exit 0
    fi
    
    i=$((i+1))
    
    # Exit after 10 tries
    if [ ${i} = 10 ]
    then
        echo &quot;Quitting after 10 tries.&quot;
        exit 1
    fi
    
    sleep 5
done
                </code>
            </pre>
        </div>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="linreboot">
                            <a href="#linreboot">
                                <strong>Step 12.5 -</strong> LIN Reboot
                            </a>
                        </h4>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxrootuser}@{targetserverlin}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
nohup shutdown -r now &amp;
                </code>
            </pre>
        </div>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="linrebootwait">
                            <a href="#linrebootwait">
                                <strong>Step 12.6 -</strong> LIN Reboot Wait
                            </a>
                        </h4>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>












    

    <div class="row">
        <p class="mb-0">
            Check if TCP Port <strong>0</strong> is listening.
            Make sure the TCP Port goes down for
            <strong>3</strong> seconds.
            When the TCP Port is up, wait <strong>10</strong>
            seconds.
        </p>
        <p>Use Telnet to check if the TCP Service is accepting connections.</p>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="srttestsshfsmounted">
                            <a href="#srttestsshfsmounted">
                                <strong>Step 12.7 -</strong> SRT Test SSHFS Mounted
                            </a>
                        </h4>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxmasterpeekuser}@{peekmasterserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
# Check if the SSHFS mount succeeded.
# Try 10 times waiting 1 second between tries.

MOUNT_POINT=&quot;/pgwal_archive/{peekStandbyServer.hostname}&quot;
MOUNTED=false
i=0

while [ ${MOUNTED} = false ]
do
    
    GREP_OUTPUT=$(df -h &quot;${MOUNT_POINT}&quot; | grep \
        &quot;{linuxStandbyPeekUser.user}@{peekStandbyServer.ip}:/pgwal_archive/{peekStandbyServer.hostname}&quot;
        ) || true
        
    if [ -z &quot;${GREP_OUTPUT}&quot; ]
    then
        echo &quot;${i}. ${MOUNT_POINT} Not yet mounted&quot;
    else
        echo &quot;${MOUNT_POINT} mounted successfully.&quot;
        MOUNTED=true
    fi
    
    # Don&#x27;t wait if SSHFS is mounted
    if [ ${MOUNTED} = true ]
    then
        exit 0
    fi
    
    i=$((i+1))
    
    # Exit after 10 tries
    if [ ${i} = 10 ]
    then
        echo &quot;Quitting after 10 tries.&quot;
        exit 1
    fi
    
    sleep 5
done
                </code>
            </pre>
        </div>
    </div>






        



                    <div class="row pt-5">
                        <h3 id="spsmtestwriteandread">
                            <a href="#spsmtestwriteandread">
                                <strong>Step 13 -</strong> SPSM Test Write and Read
                            </a>
                        </h3>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>





    




    



                    <div class="row pt-5">
                        <h4 id="stwarwritefiletostandbyfrommaster">
                            <a href="#stwarwritefiletostandbyfrommaster">
                                <strong>Step 13.1 -</strong> STWAR Write File to Standby from Master
                            </a>
                        </h4>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>









    


    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
FILE_NAME=&quot;2c17bc6330e094eca7a5fc42b09388f6Ap7ae59e5a0e408fb86d324c2a73916e9aE.txt&quot;
MOUNT_POINT=&quot;/pgwal_archive/{peekStandbyServer.hostname}&quot;
cd &quot;${MOUNT_POINT}&quot;
touch &quot;${FILE_NAME}&quot;
                </code>
            </pre>
        </div>
    </div>





    



                    <div class="row pt-5">
                        <h4 id="stwardeletefileonstandby">
                            <a href="#stwardeletefileonstandby">
                                <strong>Step 13.2 -</strong> STWAR Delete File on Standby
                            </a>
                        </h4>
                    </div>

                    <div class="row">
                        <div class="description col px-0">
                            <p>
                                
                            </p>
                        </div>
                    </div>










                        <div class="row">
                            <p>
                                Connect via ssh:
                            </p>
                        </div>
                        <div class="row py-1">
                            <code class="language-sql">
ssh {linuxstandbypeekuser}@{peekstandbyserver}
                            </code>
                        </div>



    



    <div class="row">
        <p>
            Execute the following script:
        </p>
    </div>
    <div class="row">
        <div class="col px-0">
            <pre>
                <code class="language-sql py-0">
FILE_NAME=&quot;2c17bc6330e094eca7a5fc42b09388f6Ap7ae59e5a0e408fb86d324c2a73916e9aE.txt&quot;
SHIPPING_DIRECTORY=&quot;/pgwal_archive/{peekStandbyServer.hostname}&quot;

cd &quot;${SHIPPING_DIRECTORY}&quot;

if [ -f &quot;${FILE_NAME}&quot; ]
then
    echo &quot;Found &#x27;${SHIPPING_DIRECTORY}/${FILE_NAME}&#x27;.&quot;
    rm -vf &quot;${FILE_NAME}&quot;
else
    echo &quot;Can&#x27;t find &#x27;${SHIPPING_DIRECTORY}/${FILE_NAME}&#x27;.&quot;
    exit 1
fi
                </code>
            </pre>
        </div>
    </div>







                    <div class="row pt-5">
                        <div class="col">
                            <h2>Completed</h2>
                            <p>
                                You have completed this instruction.
                            </p>
                        </div>
                    </div>
                </div>
            </div>

<!-- Download Attune Ad -->

            <div class="toc col-lg-2 px-0">
                <div class="container px-0 pt-3 pl-5">
                    <div class="card border-light mb-3" style="max-width: 18rem;">
                        <div class="card-body attune-ad">
                            <img
                                src="https://www.servertribe.com/wp-content/uploads/2022/06/AttuneLogoV2_powered_by.png"
                                alt="Attune - Powered by ServerTribe"
                                class="img-fluid">
                            <p class="card-title mt-3 text-center">
                                <strong>Automate with Attune</strong>
                            </p>
                            <p class="card-text text-center">
                                Download the Attune Community Edition.
                            </p>
                            <p class="text-center">
                                <a href="https://www.servertribe.com/download-attune-registration/"
                                   class="btn btn-primary mt-3">
                                    DOWNLOAD!!!
                                </a>
                            </p>
                        </div>
                    </div>
                </div>
            </div>

        </div>

<!-- Join Discord -->

        <div class="row py-5">
            <div class="jumbotron">
              <h1 class="display-4 text-center">
                  Discuss this Project in Discord
              </h1>
              <p class="lead">

                  Join our Discord channel and connect with like-minded individuals who
                  share your passion. Engage in lively discussions, gain valuable insights,
                  and stay updated on the latest trends in our industry. Don't miss out on
                  this opportunity to network, learn, and grow together.
              </p>
              <hr class="my-4 text-center">
                <div class="col px-0">
                  <p class="text-center">
                      Click the link below and become a part of our vibrant community on
                      Discord today!
                  </p>
                  <p class="lead text-center">
                    <a class="btn btn-primary btn-lg"
                       href="https://discord.com/invite/3YpJsagqUn"
                       role="button">
                        Join NOW!!!
                    </a>
                  </p>
                </div>
            </div>
        </div>

    </div>
</div>

<!-- Project Footer -->

<footer class="footer fixed-bottom bg-white border-top box-shadow">
      <div class="container px-0">
          <div class="row">
              <div class="col px-0">
                  <a class="my-0 mr-lg-auto"
                     href="https://www.servertribe.com/"
                     target="_blank">
                      <img
                          src="https://www.servertribe.com/wp-content/uploads/2022/06/AttuneLogoV2_powered_by.png"
                          alt="Attune - Powered by ServerTribe"
                          class="img-fluid navbar-img">
                  </a>
              </div>
          </div>
      </div>
</footer>


<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
<script
    src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js"
    integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
    crossorigin="anonymous"></script>
<script
    src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js"
    integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
    crossorigin="anonymous"></script>

<script
    src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/js/all.min.js"></script>

<script
    src="https://cdnjs.cloudflare.com/ajax/libs/prism/1.29.0/components/prism-core.min.js"></script>
<script
    src="https://cdnjs.cloudflare.com/ajax/libs/prism/1.29.0/plugins/autoloader/prism-autoloader.min.js"></script>


</body>
</html>
